Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.atna.transport
Class AtnaAuthSSLSocketFactory

    java.lang.Object
      org.eclipse.ohf.ihe.atna.transport.AtnaAuthSSLSocketFactory

All Implemented Interfaces:
  org.apache.commons.httpclient.protocol.ProtocolSocketFactory, org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory

    public class AtnaAuthSSLSocketFactory

extends java.lang.Object
implements org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory

Wrapper to pass an ATNA-generated secure socket to the Jakarta Commons httpclient manager to for transport over SSL.

Author:
  Matthew Davis

Constructor Summary
`AtnaAuthSSLSocketFactory(java.net.Socket socketToUse)`

Method Summary
`java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String host, int port, boolean autoClose)`
`java.net.Socket` | `createSocket(java.lang.String host, int port)`
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress localAddress, int localPort)`
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress localAddress, int localPort, org.apache.commons.httpclient.params.HttpConnectionParams params)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtnaAuthSSLSocketFactory

    public AtnaAuthSSLSocketFactory(java.net.Socket socketToUse)

Parameters:
  `socketToUse` - Pre-constructed Socket to use when requested

Method Detail

### createSocket

    public java.net.Socket createSocket(java.net.Socket socket,
                                        java.lang.String host,
                                        int port,
                                        boolean autoClose)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress localAddress,
                                        int localPort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress localAddress,
                                        int localPort,
                                        org.apache.commons.httpclient.params.HttpConnectionParams params)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException,
                                        org.apache.commons.httpclient.ConnectTimeoutException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`
    `org.apache.commons.httpclient.ConnectTimeoutException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD